Package org.linphone.core

# Class FriendListListenerStub

java.lang.Object
org.linphone.core.FriendListListenerStub

All Implemented Interfaces:
  `FriendListListener`

public class FriendListListenerStub extends Object implements FriendListListener

## Constructor Summary

Constructors
Constructor
Description
`FriendListListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onContactCreated(FriendList friendList, Friend linphoneFriend)`
Get the contact created callback.
`void`
`onContactDeleted(FriendList friendList, Friend linphoneFriend)`
Get the contact deleted callback.
`void`
`onContactUpdated(FriendList friendList, Friend newFriend, Friend oldFriend)`
Get the contact updated callback.
`void`
`onNewSipAddressDiscovered(FriendList friendList, Friend linphoneFriend, String sipUri)`
Get the new SIP address discovered callback.
`void`
`onPresenceReceived(FriendList friendList, Friend[] friends)`
Get the presence received callback.
`void`
`onSyncStatusChanged(FriendList friendList, FriendList.SyncStatus status, String message)`
Get the sync status changed callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FriendListListenerStub

public FriendListListenerStub()

## Method Details

### onContactCreated

public void onContactCreated(FriendList friendList, Friend linphoneFriend)
Description copied from interface: `FriendListListener`
Get the contact created callback.

Specified by:
  `onContactCreated` in interface `FriendListListener`

### onContactDeleted

public void onContactDeleted(FriendList friendList, Friend linphoneFriend)
Description copied from interface: `FriendListListener`
Get the contact deleted callback.

Specified by:
  `onContactDeleted` in interface `FriendListListener`

### onContactUpdated

public void onContactUpdated(FriendList friendList, Friend newFriend, Friend oldFriend)
Description copied from interface: `FriendListListener`
Get the contact updated callback.

Specified by:
  `onContactUpdated` in interface `FriendListListener`

### onSyncStatusChanged

public void onSyncStatusChanged(FriendList friendList, FriendList.SyncStatus status, String message)
Description copied from interface: `FriendListListener`
Get the sync status changed callback.

Specified by:
  `onSyncStatusChanged` in interface `FriendListListener`

### onPresenceReceived

public void onPresenceReceived(FriendList friendList, Friend[] friends)
Description copied from interface: `FriendListListener`
Get the presence received callback.

Specified by:
  `onPresenceReceived` in interface `FriendListListener`

### onNewSipAddressDiscovered

public void onNewSipAddressDiscovered(FriendList friendList, Friend linphoneFriend, String sipUri)
Description copied from interface: `FriendListListener`
Get the new SIP address discovered callback.

Specified by:
  `onNewSipAddressDiscovered` in interface `FriendListListener`